// ****************************************************************
// Shader file - by Kiltron for "Headhunters 3 - q3hh12.bsp"
// Original Textures by - Thearrel "Kiltron" McKinney
// Date: 9/19/2000
// Special Thanks: id Software
// ****************************************************************

textures/hh12/kilt_q3hh12_env
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 200
	q3map_lightsubdivide 512
	//q3map_sun	1 1 1 32	45 90
        skyparms env/kilt_q3hh12 - -

}

textures/hh12/kilt_wfall1
{
         surfaceparm trans
         surfaceparm nomarks
         surfaceparm nolightmap
         cull none
         
         {
                 animMap 8.0 textures/hh12/kilt_wfall1.tga textures/hh12/kilt_wfall2.tga textures/hh12/kilt_wfall3.tga textures/hh12/kilt_wfall4.tga textures/hh12/kilt_wfall5.tga textures/hh12/kilt_wfall6.tga textures/hh12/kilt_wfall7.tga textures/hh12/kilt_wfall8.tga                   
                 blendFunc GL_ONE GL_ONE
         }
}

textures/hh12/weeds01
{
        deformVertexes autoSprite2
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/weeds01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/equipal01
{
        deformVertexes autoSprite2
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/equipal01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/fluviatile02
{
        deformVertexes autoSprite2
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/fluviatile02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/palustris01
{
        deformVertexes autoSprite2
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/palustris01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/web01
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/web01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/web02
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/web02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/web03
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/web03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/swamp_pads2
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/swamp_pads2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/bridge_window2
{
     qer_editorimage textures/hh12/bridge_window2.tga
     cull none
     surfaceparm alphashadow

        {
		map textures/effects/tinfx2.tga
                blendFunc GL_ONE GL_ONE
                tcgen environment
                rgbGen identity
	}
	{
		map textures/hh12/bridge_window2.tga
                alphaFunc GE128
                depthWrite	
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/hh12/kilt_grate02_holes2a
{
     qer_editorimage textures/hh12/kilt_grate02_holes2a.tga
     cull none
     surfaceparm alphashadow

        {
		map textures/effects/tinfx2.tga
                blendFunc GL_ONE GL_ONE
                tcgen environment
                rgbGen identity
	}
	{
		map textures/hh12/kilt_grate02_holes2a.tga
                alphaFunc GE128
                depthWrite	
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/hh12/kilt_grate02_holesa
{
     qer_editorimage textures/hh12/kilt_grate02_holesa.tga
     cull none
     surfaceparm alphashadow

        {
		map textures/effects/tinfx2.tga
                blendFunc GL_ONE GL_ONE
                tcgen environment
                rgbGen identity
	}
	{
		map textures/hh12/kilt_grate02_holesa.tga
                alphaFunc GE128
                depthWrite	
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/hh12/spacefloor_glass2
{
     qer_editorimage textures/hh12/spacefloor_glass2.tga
     cull none
     surfaceparm alphashadow

        {
		map textures/effects/tinfx2.tga
                blendFunc GL_ONE GL_ONE
                tcgen environment
                rgbGen identity
	}
	{
		map textures/hh12/spacefloor_glass2.tga
                alphaFunc GE128
                depthWrite	
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/hh12/kilt_grate02_lights
{
        qer_editorimage textures/hh12/kilt_grate02_lights.tga
	q3map_lightimage textures/hh12/kilt_grate02_lights_fx.tga
	q3map_surfacelight 400

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hh12/kilt_grate02_lights.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/hh12/kilt_grate02_lights_fx.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 0 0.5
	}
}

textures/hh12/sludge2
{
	qer_editorimage textures/hh12/sludge2.tga
	q3map_lightimage textures/hh12/sludge2.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 100
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/hh12/sludge2a.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
	}
	
	{
		map textures/hh12/sludge2.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		


}

textures/hh12/kilt_rope4
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/hh12/kilt_rope4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/hh12/kilt_grate01
{
        qer_editorimage textures/hh12/kilt_grate01.tga
	surfaceparm	metalsteps	
    	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/hh12/kilt_grate01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}